function tform = twistedTform(xc,yc,S)

% From MATLAB Techniques for Image Processing by Steve Eddins
% Copyright 2012-2014 The MathWorks, Inc.

tdata.xc = xc;
tdata.yc = yc;
tdata.S = S;

tform = maketform('custom',2,2,[],@T_inv,tdata);

function uv = T_inv(xy,tform)

xc = tform.tdata.xc;
yc = tform.tdata.yc;
S = tform.tdata.S;

x = xy(:,1) - xc;
y = xy(:,2) - yc;

[a_output_space,r_output_space] = cart2pol(x,y);

r_input_space = r_output_space;
a_input_space = ((a_output_space*180/pi) + r_output_space*S)*pi/180;

[u,v] = pol2cart(a_input_space,r_input_space);

uv = [u + xc, v + yc];
